Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Public Types | Data Fields
rb_backtrace_location_struct Struct Reference

## Public Types
enum | LOCATION_TYPE { LOCATION_TYPE_ISEQ = 1, LOCATION_TYPE_ISEQ_CALCED, LOCATION_TYPE_CFUNC, LOCATION_TYPE_IFUNC }

## Data Fields
enum rb_backtrace_location_struct::LOCATION_TYPE | type
union {
struct {
const rb_iseq_t * iseq
union {
const VALUE * pc
int lineno
} lineno
} iseq
struct {
ID mid
struct rb_backtrace_location_struct * prev_loc
} cfunc
} | body

## Detailed Description

Definition at line 85 of file vm_backtrace.c.

## Member Enumeration Documentation

## ◆ LOCATION_TYPE

enum rb_backtrace_location_struct::LOCATION_TYPE

Enumerator
LOCATION_TYPE_ISEQ |
LOCATION_TYPE_ISEQ_CALCED |
LOCATION_TYPE_CFUNC |
LOCATION_TYPE_IFUNC |

Definition at line 86 of file vm_backtrace.c.

## Field Documentation

## ◆ body

union { ... } rb_backtrace_location_struct::body

Referenced by rb_backtrace_use_iseq_first_lineno_for_last_location().

## ◆ cfunc

struct { ... } rb_backtrace_location_struct::cfunc

## ◆ iseq [1/2]

const rb_iseq_t* rb_backtrace_location_struct::iseq

Definition at line 95 of file vm_backtrace.c.

Referenced by rb_backtrace_use_iseq_first_lineno_for_last_location().

## ◆ iseq [2/2]

struct { ... } rb_backtrace_location_struct::iseq

## ◆ lineno [1/2]

int rb_backtrace_location_struct::lineno

Definition at line 98 of file vm_backtrace.c.

## ◆ lineno [2/2]

union { ... } rb_backtrace_location_struct::lineno

## ◆ mid

ID rb_backtrace_location_struct::mid

Definition at line 102 of file vm_backtrace.c.

## ◆ pc

const VALUE* rb_backtrace_location_struct::pc

Definition at line 97 of file vm_backtrace.c.

## ◆ prev_loc

struct rb_backtrace_location_struct* rb_backtrace_location_struct::prev_loc

Definition at line 103 of file vm_backtrace.c.

## ◆ type

enum rb_backtrace_location_struct::LOCATION_TYPE rb_backtrace_location_struct::type

Referenced by rb_backtrace_use_iseq_first_lineno_for_last_location().

The documentation for this struct was generated from the following file:

- vm_backtrace.c